Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225341 (pear-CodeSniffer) - Review Request: php-pear-PHP-CodeSniffer - PHP coding standards enforcement tool
Summary: Review Request: php-pear-PHP-CodeSniffer - PHP coding standards enforcement tool
Keywords:
Status: CLOSED NEXTRELEASE
Alias: pear-CodeSniffer
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-01-29 23:16 UTC by Konstantin Ryabitsev
Modified: 2014-10-13 22:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 01:09:54 UTC
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Konstantin Ryabitsev 2007-01-29 23:16:47 UTC
Spec URL: http://blues.mcgill.ca/~icon/fe/php-pear-PHP_CodeSniffer.spec
SRPM URL: http://blues.mcgill.ca/~icon/fe/php-pear-PHP_CodeSniffer-0.3.0-1.fc6.src.rpm
Description:
PHP_CodeSniffer provides functionality to verify that code conforms to
certain standards, such as PEAR, or user-defined.

Comment 1 Christopher Stone 2007-01-30 00:56:36 UTC
==== REVIEW CHECKLIST ====
- rpmlint output clean
X package is not named according to package naming guidelines
- spec file name matches %{name}
- package meets packaging guideliens
- licensed with open source compatible license
- license in spec matches actual license
- license file included in %doc
- spec written in American english
- spec file legible
- sources match upstream
9b13c0cad263a1e7044b8135b37a1c93  PHP_CodeSniffer-0.3.0.tgz
- successfully compiles and builds on FC-6 x86_64
- all build dependencies listed in BR
- no locales
- no shared libraries
- not relocatable
X package does not own all directories it creates
- no duplicates in %files
- file permissions set properly
- contains proper %clean
- macro usage is consistent
- contains code
- no large documentation
- %doc does not affect runtime
- no header files or static libraries
- no pkgconfig files
- no library files with suffix
- no need for devel subpackage
- no libtool archives
- not a GUI application
- does not own files or directories owned by other packages


==== MUST FIX ====
- Package must meet packaging naming guidelines, rename package to:
  php-pear-PHP-CodeSniffer
- Rename %{name} accordingly
- Package must own all directories it creates:
  change %{pear_phpdir}/PHP/* to %{pear_phpdir}/PHP in %files

==== SHOULD FIX ====
- URL should not contain a macro as it is copy&pasted from spec file by
maintainers on a regular basis
- Add versioned Requires: php > 5.1.0


Comment 3 Christopher Stone 2007-01-30 01:17:51 UTC
All MUST FIX items fixed.

APPROVED

Comment 4 Christopher Stone 2007-03-14 01:09:54 UTC
Looks like this was build okay, I'm closing this bug.  Please close your bugs
after package is built.


Comment 5 Konstantin Ryabitsev 2007-06-11 15:25:16 UTC
Package Change Request
======================
Package Name: php-pear-PHP-CodeSniffer
New Branches: EL-5

Comment 6 Kevin Fenzi 2007-06-11 16:12:43 UTC
branch done.

Comment 7 Remi Collet 2014-10-09 13:27:26 UTC
Package Change Request
======================
Package Name: php-pear-PHP-CodeSniffer
New Branches: epel7
Owners: remi

Comment 8 Kevin Fenzi 2014-10-13 22:56:06 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.